Bread::Board::Dependency(3pm)

NAME
Bread::Board::Dependency - dependency for a service

VERSION
version 0.37

DESCRIPTION
This class holds the information for a dependency of a service. When resolving dependencies, instances of this class will be used to access the services that will provide the depended-on values.

This class consumes the Bread::Board::Traversable role to retrieve services given their path.

ATTRIBUTES

  "service_path"
The path to use (possibly relative to the dependency itself) to access the "service".

  "service"
The service this dependency points at. Usually built lazily from the "service_path", but could just be passed in to the constructor.

  "service_name"
Name of the "service", defaults to the last element of the "service_path".

METHODS

  "has_service_path"
Predicate for the "service_path" attribute.

  "get"

  "is_locked"

  "lock"

  "unlock"
These methods are delegated to the "service".

AUTHOR
Stevan Little <stevan@iinteractive.com>

BUGS
Please report any bugs or feature requests on the bugtracker website https://github.com/stevan/BreadBoard/issues

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

COPYRIGHT AND LICENSE
This software is copyright (c) 2019, 2017, 2016, 2015, 2014, 2013, 2011, 2009 by Infinity Interactive.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.